Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 898070

Summary: sci-electronics/fritzing-0.9.4-r3 fails to compile (MUSL-CLANG-SYSTEM): clipablewire.cpp:55:2: error: ISO C++17 does not allow register storage class specifier [-Wregister]
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal Keywords: PullRequest
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/31480
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 870412    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2023-02-27 09:14:45 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-electronics/fritzing-0.9.4-r3 fails to compile (MUSL-CLANG-SYSTEM).
Discovered on: amd64 (internal ref: tinderbox_musl)

NOTE:
(MUSL-CLANG-SYSTEM) in the summary means that bug was found on a machine that runs MUSL libc + clang16 but this bug MAY or MAY NOT BE related to musl/clang16.
Comment 1 Agostino Sarubbo gentoo-dev 2023-02-27 09:14:47 UTC
Created attachment 854930 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2023-10-27 09:14:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bad9f86bd1fa7b883640b9f816983b61d086789

commit 9bad9f86bd1fa7b883640b9f816983b61d086789
Author:     Brahmajit Das <brahmajit.xyz@gmail.com>
AuthorDate: 2023-06-16 06:40:45 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
CommitDate: 2023-10-27 09:14:21 +0000

    sci-electronics/fritzing: add 0.9.6
    
    Co-authored-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
    Closes: https://bugs.gentoo.org/898070
    Signed-off-by: Brahmajit Das <brahmajit.xyz@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/31480
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

 sci-electronics/fritzing/Manifest                  |  2 +
 .../fritzing-0.9.6-dropping-register-keyword.patch | 25 ++++++++
 .../fritzing/files/fritzing-0.9.6-quazip-qt5.patch | 28 ++++++++
 sci-electronics/fritzing/fritzing-0.9.6.ebuild     | 75 ++++++++++++++++++++++
 4 files changed, 130 insertions(+)